Debian Bug report logs - #266326
RM: sins -- RoQA; orphaned, NPOASR, buggy (possibly insecure)

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: "Sebastian 'yath' Schmidt" <yath@yath.eu.org>

Date: Tue, 17 Aug 2004 15:03:03 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#266326; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Sebastian 'yath' Schmidt" <yath@yath.eu.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Sebastian 'yath' Schmidt" <yath@yath.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: sins -- Snake game playable with only one key
Date: Tue, 17 Aug 2004 16:42:56 +0200
Package: wnpp
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I intend to orphan the sins package.

The package description is:
 SINS is a snake game inspired by the Palm game Sccave. It is a
 snake game, which is only played with the spacebar. With it, you
 can boost the snake up while trying not to hit a wall.

I don't have the time anymore to contribute to the Debian project as a 
package maintainer.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBIhlwvBVic1oTsEgRAkgjAJ9kyUfZZLe/BDMIlkVBscaXUZaWNgCfXoIh
y784ZpNVH8Sxy482XiLF+Xk=
=mDD9
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#266326; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joe Wreschnig <piman@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 266326@bugs.debian.org (full text, mbox):

From: Joe Wreschnig <piman@debian.org>
To: debian-qa@lists.debian.org, 266326@bugs.debian.org
Subject: Suggested removal: SINS -- SINS is not Sscave
Date: Fri, 03 Sep 2004 03:31:11 -0500
[Message part 1 (text/plain, inline)]
I intended to adopt this program, but then I started looking at the
source.

It is a combination of English and (I assume) Swedish function and
variable names; it reimplements C library functionality (poorly); its
makefile is broken and default CFLAGS include -O6 -march=686 (thankfully
the previous maintainer fixed this); it #includes other C files instead
of real multi-file compilation methods; upstream looks dead (and not
someone I'd like to work with anyway).

I don't feel this package will ever find a good maintainer, and being
only 1k lines of C it is probably easier to rewrite than to fix (and I
may do so over the coming weeks, because I like the game). I don't think
it serves our users to ship unmaintained, unmaintainable software.
-- 
Joe Wreschnig <piman@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#266326; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 266326@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: control@bugs.debian.org
Cc: 266326@bugs.debian.org, piman@debian.org
Subject: Re: remove
Date: Tue, 2 Nov 2004 19:16:18 +0000
reassign 266326 ftp.debian.org
retitle 266326 Please remove sins
thanks

RoQA; orphaned, NPOASR, buggy (possibly insecure)
-- 
Martin Michlmayr
http://www.cyrius.com/



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Lichtenheld <frank@lichtenheld.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 266326 cloned as bug 288116. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Sebastian 'yath' Schmidt" <yath@yath.eu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 266326-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 266326-close@bugs.debian.org
Subject: Bug#266326: fixed
Date: Wed, 02 Feb 2005 17:09:27 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      sins |      0.3-1 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 266326@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
James Troup (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:38:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.